Bug 14884 - [3.20.X] Test failure from Bug 14470
Summary: [3.20.X] Test failure from Bug 14470
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.20
Hardware: All All
: P5 - low critical (vote)
Assignee: Robin Sheat
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-24 02:17 UTC by Robin Sheat
Modified: 2019-06-27 09:24 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 14884: remove spurious conflict markers (879 bytes, patch)
2015-09-24 02:35 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 14884: remove spurious conflict markers (953 bytes, patch)
2015-09-24 16:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14884: Adjust the number of tests (770 bytes, patch)
2015-09-24 16:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14884: remove spurious conflict markers (1.03 KB, patch)
2015-09-28 12:02 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 14884: Adjust the number of tests (874 bytes, patch)
2015-09-28 12:02 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2015-09-24 02:17:03 UTC
#   Failed test './t/db_dependent/Circulation.t contains merge conflict markers in line 599'
#   at t/00-merge-conflict-markers.t line 51.
# Looks like you failed 1 test of 8394.
t/00-merge-conflict-markers.t ....... 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/8394 subtests 


<<<<<<< HEAD
=======
{
    # Don't allow renewing onsite checkout
    my $barcode  = 'R00000XXX';
    my $branch   = 'CPL';

...

}

$schema->storage->txn_rollback();
>>>>>>> ea92a92... Bug 14470: Do not allow renew for on-site checkouts
Comment 1 Robin Sheat 2015-09-24 02:19:18 UTC
This doesn't appear in the actual bug, I think it's probably a release merge failure. I'll patch it out for the packages.
Comment 2 Robin Sheat 2015-09-24 02:35:32 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-09-24 16:07:27 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-09-24 16:07:30 UTC Comment hidden (obsolete)
Comment 5 Marcel de Rooy 2015-09-28 11:59:11 UTC
Bug 14884 - [3.20.X] Test failure from Bug 14470

42849 - Bug 14884: remove spurious conflict markers
42850 - Bug 14884: Adjust the number of tests

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 14884: remove spurious conflict markers
Applying: Bug 14884: Adjust the number of tests
% prove t/db_dependent/Circulation.t
t/db_dependent/Circulation.t .. ok     
All tests successful.
Files=1, Tests=63,  4 wallclock secs ( 0.02 usr  0.00 sys +  1.92 cusr  0.04 csys =  1.98 CPU)
Result: PASS
Comment 6 Marcel de Rooy 2015-09-28 12:02:19 UTC
Created attachment 42912 [details] [review]
Bug 14884: remove spurious conflict markers

To test:
* Run t/00-merge-conflict-markers.t, ensure it passes

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Marcel de Rooy 2015-09-28 12:02:24 UTC
Created attachment 42913 [details] [review]
Bug 14884: Adjust the number of tests

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Marcel de Rooy 2015-09-28 12:03:06 UTC
Moving to Pushed to Master to put it in Rmaint queue.
Comment 9 Chris Cormack 2015-10-23 07:37:27 UTC
Pushed to 3.20.x will be in 3.20.5